<?php
require_once('func/db.php');
require_once('func/fonksiyon.php');
if (isset($_POST['sepetupdate'])) {

$urunid  = temizle($_POST['urunid']);
$adet  = temizle($_POST['adet']);
$sepetid  = temizle($_POST['sepetid']);
$sepeturunid = $ozy->query("select * from urunler where id='$urunid'")->fetch(PDO::FETCH_ASSOC);
if($sepeturunid['alode']=='1' and $_POST['adet']>=$sepeturunid['al'] ){
$sonadet = temizle($_POST['adet']);	
$alodedurum = "1";	
$yeniadet  = ($sonadet/$sepeturunid['al']);
$adet = ceil($yeniadet*$sepeturunid['ode']);
$alodedurum = "1";
$kazanc = $sonadet - $adet;
$alodemetin = "".$kazanc." ADET ÜRÜN HEDİYE";
$alodeadet = $kazanc;
} else { 
$adet  = temizle($_POST['adet']);
$alodedurum = "0";
$alodemetin = "";
$alodeadet = "";
}	

$stok = $sepeturunid['stok'];

if($system['sinirsizstok']!='1'){	
if($adet>$stok){	

echo '<script type="text/javascript">$(document).ready(function(){toastr["error"]("'.$sepeturunid['adi'].' isimli üründen en fazla '.$stok.' adet alabilirsiniz.", "Başarısız");});</script>';
   
	
} else {


        $sepguncelle = $ozy->prepare("update sepet set adet=?, alodedurum=?, alodemetin=?, alodeadet=? where id=?");
        $sepguncelle->execute(array($adet,$alodedurum,$alodemetin,$alodeadet,$sepetid));
        
		
		if ($sepguncelle) {

	    header("Location:".$url."/sepet/");
	 
		
		}

}





} else {	
	
	
		$sepguncelle = $ozy->prepare("update sepet set adet=?, alodedurum=?, alodemetin=?, alodeadet=? where id=?");
        $sepguncelle->execute(array($adet,$alodedurum,$alodemetin,$alodeadet,$sepetid));
        
		
		if ($sepguncelle) {

	     header("Location:".$url."/sepet/");
	 
		
		}
	
	
}	



 } 
 


?>